Summary: Desktop print icon
Name: desktop-printing
Version: 0.17
Release: 3
License: GPL
Group: Applications/File
# total lie
Source0: http://web.verbum.org/eggcups/eggcups-%{version}.tar.bz2
Patch1: eggcups-int-gsize.patch
Patch2: eggcups-no-help.patch
Patch3: eggcups-0.17-use_usb_if_null.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: redhat-menus
Requires: dbus = 0.22, dbus-x11
Requires: hal-cups-utils
Requires: cups

BuildRequires: libgnomeui-devel, dbus-devel = 0.22
BuildRequires: desktop-file-utils, intltool, cups-devel
BuildRequires: libgnomecups-devel >= 0.1.12
BuildRequires: gnome-keyring-devel 

%description
Desktop-printing contains eggcups, a program for user print job
notification and control.

%prep
%setup -q -c
pushd eggcups-%{version}
%patch1 -p0 -b .int-gsize
%patch2 -p0 -b .no-help
%patch3 -p1 -b .use_usb_if_null
popd

%build
pushd eggcups-%{version}
%configure --with-session-cupsd=/usr/sbin/cupsd
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}

pushd eggcups-%{version}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
popd

%find_lang eggcups

%clean
rm -rf $RPM_BUILD_ROOT

%files -f eggcups.lang
%defattr(-, root, root)
%{_bindir}/eggcups
%{_bindir}/gnome-default-printer
%{_datadir}/eggcups
%{_datadir}/applications/gnome-default-printer.desktop
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/gconf/*

%changelog
* Thu Oct 23 2004 John (J5) Palmieri <johnp@redhat.com> 0.17-1
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)

* Fri Oct 15 2004 Colin Walters <walters@redhat.com> 0.17-2
- Backport patches from CVS:
  - eggcups-int-gsize.patch (fixes type conflict on x86_64)
  - eggcups-no-help.patch (rh bug 135919)

* Wed Oct 13 2004 John (J5) Palmieri <johnp@redhat.com> 0.17-1
- Updated to new upstream 0.17

* Thu Oct 07 2004 Colin Walters <walters@redhat.com> 0.16-2
- BR gnome-keyring-devel, libgnomecups-devel

* Wed Oct 06 2004 Colin Walters <walters@redhat.com> 0.16-1
- Update to new upstream 0.16.
- Drop upstreamed eggcups-0.15.2-gconf-printer-fix.patch 

* Mon Oct 04 2004 John (J5) Palmieri <johnp@redhat.com> 0.15.2-2
- Added patch that fixes the values placed in gconf for
  configuring printer.
  - Values now represent the make and model the user selected
    and not what hal reports

* Thu Sep 30 2004 Colin Walters <walters@redhat.com> 0.15.2-1
- Update to new upstream 0.15.2:
  - Does not crash when run as root
  - Does not crash if you have no printers (workaround HAL bug)

* Wed Sep 29 2004 Colin Walters <walters@redhat.com> 0.15-1
- Update to new upstream 0.15
- Make files section more strict, include new files

* Sat Sep 25 2004 Colin Walters <walters@redhat.com> 0.14.1-1
- Update to new upstream 0.14.1
  + Fix from John Palmieri for bug 133567

* Thu Sep 23 2004 Colin Walters <walters@redhat.com> 0.14-1
- Update to new upstream 0.14
  + Try to re-set drivers on startup
  + Avoid multiple copies by using DBus activation 

* Tue Sep 20 2004 Colin Walters <walters@redhat.com> 0.13-1
- Update to new upstream 0.13
  + Fixes polling of local printers

* Tue Sep 14 2004 Colin Walters <walters@redhat.com> 0.12-1
- Update to new upstream 0.12
  + Fixes several serious bugs in driver prompt
  + Also installs policy to make sure we do not get kicked
    off D-BUS
- Disable GConf schema install

* Tue Sep 07 2004 Colin Walters <walters@redhat.com> 0.11
- Update to new upstream 0.11
  + Makes printer driver prompt actually work

* Thu Sep 01 2004 Colin Walters <walters@redhat.com> 0.10.2-3
- Remove removal of eggcups.desktop.
- Install eggcups-upgrade.desktop in session-upgrades directory to ensure
  eggcups runs in the user session after an upgrade.

* Thu Sep 01 2004 Colin Walters <walters@redhat.com> 0.10.2-2
- Require dbus-x11 until gdm can do it.

* Tue Aug 31 2004 Colin Walters <walters@redhat.com> 0.10-1
- Update to 0.10.1
- Enable session CUPS daemon
- Require hal-cups-utils per j5 request
- Nuke eggcups_version variable, just use version
- Remove unneeded deps on perl, gnome-utils, file
- Remove upstreamed dbus-header-fix patch

* Thu Aug 12 2004 Colin Walters <walters@redhat.com> 0.9.5-3
- Require dbus 0.22

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.9.5-2
- Kill off tryprint.pl
- Fix description to reflect current reality
- TODO: kill off this package entirely and just put eggcups
  in its own package.  If importing a new package wasn't
  so annoying...

* Fri Jul 30 2004 Colin Walters <walters@redhat.com> 0.9.5-1
- Update to 0.9.5
- Add patch to fix header checks
- Bump dbus requirement

* Wed Jul 15 2004 Colin Walters <walters@redhat.com> 0.9.4-1
- Update eggcups to 0.9.4

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.9.3-1
- Update eggcups to 0.9.3
- Require newer libgnomecups

* Fri Jun 18 2004 Matthias Clasen <mclasen@redhat.com> 0.9.2-1
- Update eggcups to 0.9.2
- Require newer libgnomecups

* Wed Jun 15 2004 Colin Walters <walters@redhat.com> 0.9.1-1
- Update eggcups to 0.9.1
- Require dbus = 0.21

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 02 2004 Colin Walters <walters@redhat.com> 0.9-1
- Insert my tendrils into this package
- Bump version 0.9, just for fun
- Update to eggcups 0.9
- Remove desktop file link and stuff, we don't need it
- Remove deps on system-config-printer, etc
- Remove upstreamed eggcups patches
- Change description to remove "Nautilus"
- Bump dbus deps to >= 0.20

* Wed May  5 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-26
- Don't poll cupsd; rely on D-BUS for notifications.  This prevents cups
  generating never-ending useless log messages.

* Mon Feb 23 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-25
- eggcups: Don't exit on disconnection from the message bus.

* Fri Feb 20 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-24
- Requires dbus-0.20.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-22
- Eggcups 0.0.5.

* Wed Feb 11 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-21
- Eggcups 0.0.5pre1.

* Thu Jan 29 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-20
- Eggcups 0.0.4.

* Wed Dec 17 2003 Tim Waugh <twaugh@redhat.com>
- Fixed warning message.

* Tue Dec 16 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-19
- Requires system-config-printer.

* Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com>
- Build requires desktop-file-utils, intltool, cups-devel (bug #111102).

* Mon Sep 15 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-18
- Make redhat-print.desktop symlink relative (bug #104389).

* Wed Jul 23 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-17
- Drop the kprinter requirement; fall back to redhat-config-printer's
  simple print dialog app (bug #97178).

* Tue Jun 10 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-16
- Rebuilt.

* Thu Jun  5 2003 Than Ngo <than@redhat.com> 0.1.10-15
- fix to use kprinter instead qtcups, which is obsolete

* Thu Jun  5 2003 Tim Powers <timp@redhat.com> 0.1.10-14
- don't require qtcups

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 16 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-12
- Rebuild for dbus-0.11 API changes.

* Fri May  1 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-11
- eggcups: fix tooltip logic.

* Sat Apr 12 2003 Havoc Pennington <hp@redhat.com> 0.1.10-10
- rebuild for dbus 0.9
- tweak dbus patch to use dbus_message_name_is(), 
  also DBUS_ERROR_DISCONNECT should not need detecting
  (you always get the DBUS_MESSAGE_LOCAL_DISCONNECT on disconnect)

* Fri Apr 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-9
- eggcups: more resilience against the message bus going away.

* Thu Apr 10 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-8
- eggcups: get on D-BUS.

* Wed Apr  9 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-7
- eggcups: only make one connection to the CUPS daemon.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Tim Waugh <twaugh@redhat.com>
- Grok PDF.

* Sat Jan 12 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-5
- Make eggcups desktop file better (bug #81637).

* Thu Jan  9 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-4
- Desktop file moved to redhat-menus.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-3
- Add Italian translation (bug #81275).
- Requires qtcups.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-2
- Add translations to desktop file (bug #81180).

* Sun Dec  8 2002 Tim Waugh <twaugh@redhat.com> 0.1.10-1
- Eggcups now has a menu, a tooltip, and a desktop menu entry.

* Thu Dec  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.9-2
- Fix icon.

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.9-1
- New name for the eggtray applet.

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.8-2
- Fix a memory leak in lpegg.
- s/kdeartwork/redhat-artwork/ (desktop icon).

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.8-1
- Add lpegg.

* Tue Dec  3 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- Don't warn before running the queue manager.
- Handle filenames with spaces in.

* Mon Dec  2 2002 Tim Waugh <twaugh@redhat.com> 0.1.6-1
- Run the print queue manager instead of the configuration tool.

* Tue Nov 12 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-5
- Remove tmpfile vulnerability from debug logging.
- s/printconf/redhat-config-printer-gui/.
- Use redhat-config-printer-gui in preference to CUPS HTTP configuration.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-4
- Untarballify.
- Use %%{_bindir}, %%{_sysconfdir}.
- s/Copyright:/License:/.
- Fix group.

* Mon Sep 23 2002 Norm Murray <nmurray@redhat.com>
- big updates to the tryprint.pl script to save file sniff info and 
  to handle a double-click by bringing up a printer configuration tool

* Wed Aug 28 2002 Norm Murray <nmurray@redhat.com>
- small updates

* Fri Aug 23 2002 Norm Murray <nmurray@redhat.com>
- first try
